Fork a Universe Dataset
You can copy data from a Universe dataset into your account using the Fork Project feature.
Last updated
Was this helpful?
Was this helpful?
$ curl --location "https://api.roboflow.com/my-workspace/projects/fork?api_key=$ROBOFLOW_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"url": "https://universe.roboflow.com/roboflow-jvuqo/football-players-detection-3zvbc/browse?queryText=&pageSize=50&startingIndex=0&browseQuery=true"
}'$ curl --location "https://api.roboflow.com/my-workspace/projects/fork?api_key=$ROBOFLOW_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"source_project": "football-players-detection-3zvbc"
}'- url (string) - Full Universe project URL. Required unless source_project is provided. URLs may include additional paths such as /browse and query parameters.
- source_project (string) - Source Universe project slug. Required unless url is provided.{
"taskId": "abc123",
"url": "https://api.roboflow.com/my-workspace/asynctasks/abc123"
}$ curl --location "https://api.roboflow.com/my-workspace/asynctasks/abc123?api_key=$ROBOFLOW_API_KEY"- 402 - The target Workspace does not have enough credits or image quota to fork the Project.
- 403 - The source Project is not public.
- 404 - The source Project could not be found, the API key is missing the required scope, or the API key does not belong to the target Workspace.
- 409 - The target Workspace already owns the source project.
- 422 - Required parameters are missing or the URL does not contain a Project slug.